package cn.bunny.service.impl;

import cn.bunny.common.spzx.model.dto.product.CategoryBrandDto;
import cn.bunny.common.spzx.model.entity.product.CategoryBrand;
import cn.bunny.mapper.CategoryBrandMapper;
import cn.bunny.service.CategoryBrandService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CategoryBrandServiceImpl implements CategoryBrandService {
    @Autowired
    private CategoryBrandMapper categoryBrandMapper;

    @Override
    public PageInfo<CategoryBrand> findByPage(Integer page,
                                              Integer limit,
                                              CategoryBrandDto categoryBrandDto) {
        PageHelper.startPage(page, limit);
        List<CategoryBrand> categoryBrandDtoList = categoryBrandMapper.findByPage(categoryBrandDto);

        return new PageInfo<CategoryBrand>(categoryBrandDtoList);
    }
}
